/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct ChannelMemberWithTeamDataAllOf {
    /// The display name of the team to which this channel belongs.
    #[serde(rename = "team_display_name", skip_serializing_if = "Option::is_none")]
    pub team_display_name: Option<String>,
    /// The name of the team to which this channel belongs.
    #[serde(rename = "team_name", skip_serializing_if = "Option::is_none")]
    pub team_name: Option<String>,
    /// The time at which the team to which this channel belongs was last updated.
    #[serde(rename = "team_update_at", skip_serializing_if = "Option::is_none")]
    pub team_update_at: Option<i32>,
}

impl ChannelMemberWithTeamDataAllOf {
    pub fn new() -> ChannelMemberWithTeamDataAllOf {
        ChannelMemberWithTeamDataAllOf {
            team_display_name: None,
            team_name: None,
            team_update_at: None,
        }
    }
}
